//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "ZylPowerManager"
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::btnShutDownClick(TObject *Sender)
{
  ZylPowerManager1->TurnOff(true);
}
//---------------------------------------------------------------------------

void __fastcall TForm1::btnRestartClick(TObject *Sender)
{
  ZylPowerManager1->Reboot(True);
}
//---------------------------------------------------------------------------

void __fastcall TForm1::btnLogOffClick(TObject *Sender)
{
  ZylPowerManager1->LogOff(true);
}
//---------------------------------------------------------------------------

void __fastcall TForm1::btnLockClick(TObject *Sender)
{
  ZylPowerManager1->LockComputer();
}
//---------------------------------------------------------------------------

void __fastcall TForm1::btnTurnOffMonitorClick(TObject *Sender)
{
  ZylPowerManager1->TurnOffMonitor();
}
//---------------------------------------------------------------------------

void __fastcall TForm1::btnScreenSaverClick(TObject *Sender)
{
  ZylPowerManager1->ScreenSaver();
}
//---------------------------------------------------------------------------

void __fastcall TForm1::btnStandbyClick(TObject *Sender)
{
  ZylPowerManager1->Standby(True);
}
//---------------------------------------------------------------------------

void __fastcall TForm1::btnHibernateClick(TObject *Sender)
{
  ZylPowerManager1->Hibernate();
}
//---------------------------------------------------------------------------

void __fastcall TForm1::ZylPowerManager1ACLineStatusChange(TObject *Sender, TACLineStatus NewACLineStatus)

{
  if (NewACLineStatus == acsOffline)
	memoOutput->Lines->Add("Power Off");
  else if (NewACLineStatus == acsOnline)
	memoOutput->Lines->Add("Power On");
}
//---------------------------------------------------------------------------

void __fastcall TForm1::ZylPowerManager1BatteryLow(TObject *Sender)
{
  memoOutput->Lines->Add("Battery low!");
}
//---------------------------------------------------------------------------

void __fastcall TForm1::ZylPowerManager1ResumeAutomatic(TObject *Sender)
{
  memoOutput->Lines->Add("Resume automatically!");
}
//---------------------------------------------------------------------------

void __fastcall TForm1::ZylPowerManager1ResumeFromFailure(TObject *Sender)
{
  memoOutput->Lines->Add("Resume from failure!");
}
//---------------------------------------------------------------------------

void __fastcall TForm1::ZylPowerManager1ResumeStandby(TObject *Sender)
{
  memoOutput->Lines->Add("Resume from standby!");
}
//---------------------------------------------------------------------------

void __fastcall TForm1::ZylPowerManager1ResumeSuspend(TObject *Sender)
{
  memoOutput->Lines->Add("Resume from hibernation!");
}
//---------------------------------------------------------------------------

void __fastcall TForm1::ZylPowerManager1Standby(TObject *Sender)
{
  memoOutput->Lines->Add("Standby!");
}
//---------------------------------------------------------------------------

void __fastcall TForm1::ZylPowerManager1Suspend(TObject *Sender)
{
  memoOutput->Lines->Add("Hibernate!");
}
//---------------------------------------------------------------------------

void __fastcall TForm1::ZylPowerManager1ResumeCritical(TObject *Sender)
{
  memoOutput->Lines->Add("Resume critical!");
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Timer1Timer(TObject *Sender)
{
  AnsiString strMsg = "";
  if (ZylPowerManager1->GetBatteryStatus().Contains(bsHigh))
  {
	strMsg = "High";
  }
  if (ZylPowerManager1->GetBatteryStatus().Contains(bsLow))
  {
	strMsg = "Low";
  }
  if (ZylPowerManager1->GetBatteryStatus().Contains(bsCritical))
  {
	strMsg = "Critical";
  }
  if (ZylPowerManager1->GetBatteryStatus().Contains(bsCharging))
  {
	strMsg = "Charging";
  }
  if (ZylPowerManager1->GetBatteryStatus().Contains(bsNoBattery))
  {
	strMsg = "No battery";
  }
  if (ZylPowerManager1->GetBatteryStatus().Contains(bsUnknown))
  {
	strMsg = "Unkown";
  }
  label1->Caption = "Status: " + strMsg;
}
//---------------------------------------------------------------------------

