//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include <Vcl.Samples.Gauges.hpp>
#include "ZylPowerManager.hpp"
#include <Vcl.ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TButton *btnShutDown;
	TButton *btnRestart;
	TButton *btnLogOff;
	TButton *btnLock;
	TButton *btnTurnOffMonitor;
	TButton *btnScreenSaver;
	TButton *btnStandby;
	TButton *btnHibernate;
	TMemo *memoOutput;
	TLabel *label1;
	TZylPowerManager *ZylPowerManager1;
	TTimer *Timer1;
	void __fastcall btnShutDownClick(TObject *Sender);
	void __fastcall btnRestartClick(TObject *Sender);
	void __fastcall btnLogOffClick(TObject *Sender);
	void __fastcall btnLockClick(TObject *Sender);
	void __fastcall btnTurnOffMonitorClick(TObject *Sender);
	void __fastcall btnScreenSaverClick(TObject *Sender);
	void __fastcall btnStandbyClick(TObject *Sender);
	void __fastcall btnHibernateClick(TObject *Sender);
	void __fastcall ZylPowerManager1ACLineStatusChange(TObject *Sender, TACLineStatus NewACLineStatus);
	void __fastcall ZylPowerManager1BatteryLow(TObject *Sender);
	void __fastcall ZylPowerManager1ResumeAutomatic(TObject *Sender);
	void __fastcall ZylPowerManager1ResumeFromFailure(TObject *Sender);
	void __fastcall ZylPowerManager1ResumeStandby(TObject *Sender);
	void __fastcall ZylPowerManager1ResumeSuspend(TObject *Sender);
	void __fastcall ZylPowerManager1Standby(TObject *Sender);
	void __fastcall ZylPowerManager1Suspend(TObject *Sender);
	void __fastcall ZylPowerManager1ResumeCritical(TObject *Sender);
	void __fastcall Timer1Timer(TObject *Sender);

private:	// User declarations
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
